summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:30 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:30 -0400
commit3e42a6f553cfc5ccc4ee79f9cea2ab8170ca5789 (patch)
tree0444526aaef7cf0fbd98ff79dbe07decec6f43dc
parent2948d81418627b3ac763321936d77a5e779b33d0 (diff)
downloadslackbuilds-3e42a6f553cfc5ccc4ee79f9cea2ab8170ca5789.tar.gz
slackbuilds-3e42a6f553cfc5ccc4ee79f9cea2ab8170ca5789.tar.xz
games/glest-megapack: Fixed for bash4.
-rw-r--r--games/glest-megapack/glest-megapack.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/games/glest-megapack/glest-megapack.SlackBuild b/games/glest-megapack/glest-megapack.SlackBuild
index b7d3f9dd30..5531db2d3e 100644
--- a/games/glest-megapack/glest-megapack.SlackBuild
+++ b/games/glest-megapack/glest-megapack.SlackBuild
@@ -36,12 +36,8 @@ find . \
mkdir -p $PKG/usr/share/$SRCNAM2
cp -ar $SRCNAM2/* $PKG/usr/share/$SRCNAM2/
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \